IF_ACMPNE (jakarta-bcel 5.1 API)
Keywords: org.apache.bcel.generic.IF_ACMPNE,IF_ACMPNE class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.bcel.generic
Class IF_ACMPNE

    java.lang.Object
      |
      +--org.apache.bcel.generic.Instruction
            |
            +--org.apache.bcel.generic.BranchInstruction
                  |
                  +--org.apache.bcel.generic.IfInstruction
                        |
                        +--org.apache.bcel.generic.IF_ACMPNE

All Implemented Interfaces:
  java.lang.Cloneable, InstructionTargeter, java.io.Serializable, StackConsumer

public class IF_ACMPNE
extends IfInstruction

IF_ACMPNE - Branch if reference comparison doesn't succeed

    Stack: ..., value1, value2 -> ...

Version:
  $Id: IF_ACMPNE.java,v 1.1.1.1 2001/10/29 20:00:15 jvanzyl Exp $
Author:
  M. Dahm
See Also:
  Serialized Form

Field Summary

Fields inherited from class org.apache.bcel.generic.BranchInstruction
`index, position, target`

Fields inherited from class org.apache.bcel.generic.Instruction
`length, opcode`

Constructor Summary
`IF_ACMPNE(InstructionHandle target)`

Method Summary
`void` | `accept(Visitor v)` Call corresponding visitor method(s).
`IfInstruction` | `negate()`

Methods inherited from class org.apache.bcel.generic.BranchInstruction
`containsTarget, dump, getIndex, getTarget, getTargetOffset, getTargetOffset, initFromFile, setTarget, toString, updatePosition, updateTarget`

Methods inherited from class org.apache.bcel.generic.Instruction
`consumeStack, copy, equals, getComparator, getLength, getName, getOpcode, produceStack, readInstruction, setComparator, toString, toString`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.apache.bcel.generic.StackConsumer
`consumeStack`

Constructor Detail

### IF_ACMPNE

    public IF_ACMPNE(InstructionHandle target)

Method Detail

### negate

    public IfInstruction negate()

  Specified by:
    `negate` in class `IfInstruction`
  Returns:
    negation of instruction

### accept

    public void accept(Visitor v)

  Call corresponding visitor method(s). The order is: Call visitor methods of implemented interfaces first, then call methods according to the class hierarchy in descending order, i.e., the most specific visitXXX() call comes last.

  Specified by:
    `accept` in class `Instruction`
  Parameters:
    `v` - Visitor object

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002-2003 Apache Software Foundation. All Rights Reserved.